Subject: conditionals in Lojban

From: "A.W.T." <[email-masked]>
Date: Sun, 22 Apr 2001 12:24:27 -0000

Since long, I keep chewing on the problem how the following can be expressed in Lojban (John to whom I posed this question didn't 
respond and Jorge's contribution to it left me pretty unsatisfied):

1) "I was (or had been etc.) obliged/forced etc. to do something" (and hence did it)
2) "I should/ought have done something (in the past)" (which I actually didn't do and now am regretting missing it).

Something like {.ei.oi mi pu ...} seems to be ambiguous: am I regretful for having been obliged/forced to do something I didn't want 
to (but actually did) or for not doing it (and now thinking that "I should have done it")?

The problem seemingly arises from the fact that {.ei} (like other cmavo of that kind) refers to the *speaker* at the time of his 
utterance and not to the time the uttered took place.
Because referring to the speaker, a second problem seems to derive from: How can it be expressed if the "I" is replaced by "you" or 
any sumti not referring to the speaker?

1) "They had to do ... (and therefore did)
2) "You should have done ...", "They shouldn't have done ..." (but didn't/but did)

I checked the Book for it, but - drowned in details on attitudinals etc. - couldn't get an answer. Also, as far I remember the threads 
here, this issue hadn't been discussed in the forum.

co'o mi'e .aulun.